%define	name	nano
%define	version	1.2.2
%define	release	2mdk

Name:		%{name}
Summary:	Nano is a tiny console text editor that aims to emulate Pico 
Version:	%{version}
Release:	%{release}
Source:		%{name}-%{version}.tar.bz2
Group:		Editors
URL:		http://www.nano-editor.org/
BuildRoot:	%{_tmppath}/%{name}-buildroot
License:	GPL
PreReq:		/sbin/install-info
BuildRequires:	libncurses-devel libgpm-devel

%description
nano (Nano's ANOther editor) is the editor formerly known as 
TIP (TIP Isn't Pico). It aims to emulate Pico as closely as 
possible while also offering a few enhancements.

%prep
%setup -q

%build
%configure	--enable-extra \
		--enable-color \
		--enable-multibuffer \
		--enable-nanorc
%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -f %{buildroot}%{_infodir}/dir

%{find_lang} %{name}

%post
%_install_info %{name}.info

%postun
%_remove_install_info %{name}.info

%clean
rm -rf %{buildroot} 

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc README COPYING ChangeLog AUTHORS BUGS INSTALL NEWS TODO nano.1.html
%{_bindir}/*
%{_mandir}/man*/*
%{_infodir}/*info*

%changelog
* Sat Sep 06 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.2.2-2mdk
- enable a few options:)

* Wed Aug 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-1mdk
- 1.2.2

* Wed Jun 04 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.2.1-1mdk
- 1.2.1

* Sun Mar 30 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.2.0-2mdk
- don't specify Requires, rpm will automatically find those out for libraries
- added missing BuildRequires
- don't specify dirname with -n for %%setup, as the directory name is the default one
- rm -rf buildroot in install
- just a little nicer formatting

* Thu Feb 20 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.0-1mdk
- 1.2.0

* Mon Jan 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0.9-2mdk
- build release
- fix installed stuff in %{_infodir}
- misc spec file fixes

* Thu Apr 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.9-1mdk
- 1.0.9

* Tue Dec 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.7-1mdk
- 1.0.7

* Tue Oct 30 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-1mdk
- new release

* Sun Sep  2 2001 Daouda LO <daouda@mandrakesoft.com> 1.0.4-1mdk
- release 1.0.4

* Sun Jul  1 2001  Daouda Lo <daouda@mandrakesoft.com> 1.0.3-1mdk
- release 1.0.3

* Mon May 14 2001  Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- updated to 1.0.2

* Fri Apr 13 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.1-1mdk
- Make a new and shiny 1.0.1.

* Fri Mar 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1mdk
- updated to 1.0.0

* Tue Feb 20 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.9.99pre3-1mdk
- updated to 0.9.99pre3

* Thu Jan 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.99pre1-1mdk
- updated to 0.9.99pre1

* Tue Dec 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9.24-1mdk
- updated to 0.9.24

* Mon Dec 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9.23-1mdk
- updated to 0.9.23

* Tue Dec 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9.22-1mdk
- updated to 0.9.22

* Fri Nov 24 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9.21-1mdk
- updated to 0.9.21

* Mon Nov 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9.20-1mdk
- updated to 0.9.20

* Wed Oct 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9.19-1mdk
- v0.9.19

* Tue Sep 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9.18-1mdk
- v0.9.18

* Mon Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9.17-1mdk
- v0.9.17

* Wed Jul 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9.13-1mdk
- v0.9.13
- BM

* Wed Jun 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9.11-1mdk
- v0.9.11

* Mon May 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9.8-1mdk
- v0.9.8
- used srpm provided by Blaise Tramier <meles@linux-mandrake.com>
